function  data_gaps=reinsert_gaps(data,ones_gaps)
% [y_new_all, ones_gaps_limit_all,ones_gaps_all]=reinsert_gaps(data,ones_gaps)
% This function reinserts gaps. In case data has re be filtered, reinsert
% gaps after filtering (Filtering does not work with nan's in the data).
% 
% input
% data       : data you want to have interpolated
% ones_gaps  : can be either the ones_gaps_limit_all or ones_gaps_allwhich 
%              can be calculated usingt spline_interp_find_gaps.m
% 
% output
% data_gaps : data with the gaps reinserted (nan)
data_gaps=data;
data_gaps(ones_gaps==1)=nan;