function [e1] = unitvector(v1,v2) 
%calculates unit vector from v1 to v2

for idx = 1:length(v1) 
    
    %calculating directional vectors of triads
    e1(1:3,idx) = v2(1:3,idx)-v1(1:3,idx);

    %normalizing to unitvector
    e1(1:3,idx) = e1(1:3,idx)./norm(e1(1:3,idx));

end 